petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMForestSetMaximumRefinement

During the pre-setup phase, set the maximum level of refinement (relative to the base DM, see DMForestGetBaseDM()) allowed in the forest. If the forest is being created by refining a previous forest (see DMForestGetAdaptivityForest()), this limits the amount of refinement.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetMaximumRefinement(DM dm, PetscInt maxRefinement)

Logically collective on dm

### Input Parameters

| dm | - the forest
| maxRefinement | - default PETSC_DEFAULT (interpreted by the subtype of DMForest)

### See Also

DMForestGetMinimumRefinement(), DMForestSetMaximumRefinement(), DMForestSetInitialRefinement(), DMForestGetBaseDM(), DMForestGetAdaptivityDM()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages